"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom-collections.iterator.js");

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _selectorContext = _interopRequireDefault(require("../../utils/selectorContext"));

var _dataUtil = require("../../utils/dataUtil");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Selector = () => {
  const {
    label,
    value,
    renderValue,
    defaultValue,
    onChange,
    onClose,
    onOpen,
    open: openProp,
    size = _dataUtil.SIZE.medium,
    children
  } = props;
  const [open, setOpen] = useState(false);
  const isOpen = openProp === undefined ? open : openProp;
  return /*#__PURE__*/_react.default.createElement(_selectorContext.default.Provider, null, /*#__PURE__*/_react.default.createElement("div", {
    className: "ideskuiselector-root"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "ideskuiselector-item"
  }, /*#__PURE__*/_react.default.createElement("p", {
    className: "ideskuiselector-label"
  }, label), /*#__PURE__*/_react.default.createElement("svg", {
    className: "ideskuiselector-icon",
    viewBox: "0 0 14 8",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M7 5.58579L1.70711 0.292893C1.31658 -0.0976311 0.683418 -0.0976311 0.292893 0.292893C-0.0976311 0.683418 -0.0976311 1.31658 0.292893 1.70711L6.29289 7.70711C6.68342 8.09763 7.31658 8.09763 7.70711 7.70711L13.7071 1.70711C14.0976 1.31658 14.0976 0.683418 13.7071 0.292893C13.3166 -0.0976311 12.6834 -0.0976311 12.2929 0.292893L7 5.58579Z"
  }))), isOpen || /*#__PURE__*/_react.default.createElement("div", {
    className: "ideskuiselector-list"
  }, children)));
};

var _default = Selector;
exports.default = _default;
{
  /* <Select
  labelId="demo-simple-select-error-label"
  id="demo-simple-select-error"
  value={age}
  label="Age"
  onChange={handleChange}
  renderValue={(value) => `⚠️  - ${value}`}
  >
  <MenuItem value="">
  <em>None</em>
  </MenuItem>
  <MenuItem value={10}>Ten</MenuItem>
  <MenuItem value={20}>Twenty</MenuItem>
  <MenuItem value={30}>Thirty</MenuItem>
  </Select> */
}